/*
 *  Copyright (C) 2008  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef ATOMPUB_REQUEST_H
#define ATOMPUB_REQUEST_H

#include <atompub/ctx.h>

enum
{
  ATOM_REQUEST_NONE,
  ATOM_REQUEST_GET,
  ATOM_REQUEST_POST
};

typedef struct _atom_request AtomRequest;

AtomRequest *atom_request_new (int, char *);
void atom_request_delete (AtomRequest *);
int atom_request_type (AtomRequest *);
char *atom_request_request (AtomRequest *);
void atom_request_content_set (AtomRequest *, char *, size_t);
void atom_request_content (AtomRequest *, char **, size_t *);

#endif
